# UniTAP.dev.ports.dptx

class DPTX(UniTAP.dev.ports.tx.TX):

Main class of `DPTX` object. Inherited from class `TX`. Class describes capabilities of 300th (3XX) series of DP and USB-C devices in Source (TX - transmitter) role.

###### Attributes:

- __link (LinkDisplayPortTx): object of `LinkDisplayPortTx`.
- __dpcd (DPCDRegisters): object of `DPCDRegisters`.
- __edid (EdidSource): object of `EdidSource`.
- __hdcp (HdcpSource): object of `HdcpSource`.
- __pg (DpPatternGenerator): object of `DpPatternGenerator`.
- __event_capturer (EventCapturer): object of `EventCapturer`.

DPTX( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dpcd: UniTAP.dev.ports.modules.dpcd.dpcd.DPCDRegisters

Should be used to work with DPCD registers on Source (TX - transmitter) side.

###### Returns:

> object of `DPCDRegisters` type.

pg: UniTAP.dev.ports.modules.vtg.pg.DpPatternGenerator

Should be used to control Pattern generator functionality on Source (TX - transmitter) side.

###### Returns:

> object of `DpPatternGenerator` type.

link: UniTAP.dev.ports.modules.link.dp.link_tx.LinkDisplayPortTx

Should be used to control link settings on Source (TX - transmitter) side.

###### Returns:

> object of `LinkDisplayPortTx` type.

edid: UniTAP.dev.ports.modules.edid.edid.EdidSource

Should be used to work with EDID on Source (TX - transmitter) side.

###### Returns:

> object of `EdidSource` type.

hdcp: UniTAP.dev.ports.modules.hdcp.hdcp_tx.HdcpSource

Should be used to work with HDCP on Source (TX - transmitter) side.

###### Returns:

> object of `HdcpSource`.

event_capturer: UniTAP.dev.ports.modules.capturer.event.event_capturer.EventCapturer

Should be used to control `EventCapturer` on Source (TX - transmitter) role.

###### Returns:

> object of `EventCapturer` type.

##### Inherited Members

UniTAP.dev.ports.tx.TX
  ag